From bd3f21a122d2eae8c836875428e48ead06a0b23b Mon Sep 17 00:00:00 2001
From: Andrea Scarpino <andrea@archlinux.org>
Date: Thu, 9 Apr 2009 14:01:08 +0200
Subject: [PATCH] unmark out-of-date on update. for community

---
 tupkg/update/tupkgupdate      |    2 ++
 tupkg/update/tupkgupdate-lite |    4 +++-
 tupkg/update/tupkgupdate64    |    4 +++-
 3 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/tupkg/update/tupkgupdate b/tupkg/update/tupkgupdate
index 63314d4..4d3a424 100755
--- a/tupkg/update/tupkgupdate
+++ b/tupkg/update/tupkgupdate
@@ -101,6 +101,7 @@ class PackageDatabase:
         "DummyPkg = 0, " +
         "SubmittedTS = UNIX_TIMESTAMP(), " +
         "URL = '" + MySQLdb.escape_string(str(package.url)) + "' " +
+		"OutOfDate = 0, " +
         "WHERE ID = " + str(id))
     else:
       q.execute("UPDATE Packages SET " +
@@ -111,6 +112,7 @@ class PackageDatabase:
         "Description = '" + MySQLdb.escape_string(str(package.desc)) + "', " +
         "ModifiedTS = UNIX_TIMESTAMP(), " +
         "URL = '" + MySQLdb.escape_string(str(package.url)) + "' " +
+		"OutOfDate = 0, " +
         "WHERE ID = " + str(id))
     self.insertNewInfo(package, id, locationId)
 
diff --git a/tupkg/update/tupkgupdate-lite b/tupkg/update/tupkgupdate-lite
index 51e4091..9ff3c5c 100755
--- a/tupkg/update/tupkgupdate-lite
+++ b/tupkg/update/tupkgupdate-lite
@@ -96,8 +96,9 @@ class PackageDatabase:
           os.path.join(repo_dir, os.path.basename(package.new.file))) + "', " +
         "Description = '" + MySQLdb.escape_string(str(package.desc)) + "', " +
         "DummyPkg = 0, " +
-	"SubmittedTS = UNIX_TIMESTAMP(), " +
+		"SubmittedTS = UNIX_TIMESTAMP(), " +
         "URL = '" + MySQLdb.escape_string(str(package.url)) + "' " +
+		"OutOfDate = 0, " +
         "WHERE ID = " + str(id))
     else:
       q.execute("UPDATE Packages SET " +
@@ -108,6 +109,7 @@ class PackageDatabase:
         "Description = '" + MySQLdb.escape_string(str(package.desc)) + "', " +
         "ModifiedTS = UNIX_TIMESTAMP(), " +
         "URL = '" + MySQLdb.escape_string(str(package.url)) + "' " +
+		"OutOfDate = 0, " +
         "WHERE ID = " + str(id))
     self.insertNewInfo(package, id, locationId)
     # we must lastly check to see if this is a move of a package from
diff --git a/tupkg/update/tupkgupdate64 b/tupkg/update/tupkgupdate64
index 80c19d9..978bcad 100755
--- a/tupkg/update/tupkgupdate64
+++ b/tupkg/update/tupkgupdate64
@@ -99,8 +99,9 @@ class PackageDatabase:
           os.path.join(repo_dir, os.path.basename(package.new.file))) + "', " +
         "Description = '" + MySQLdb.escape_string(str(package.desc)) + "', " +
         "DummyPkg = 0, " +
-	"SubmittedTS = UNIX_TIMESTAMP(), " +
+		"SubmittedTS = UNIX_TIMESTAMP(), " +
         "URL = '" + MySQLdb.escape_string(str(package.url)) + "' " +
+		"OutOfDate = 0, " +
         "WHERE ID = " + str(id))
     else:
       q.execute("UPDATE Packages SET " +
@@ -111,6 +112,7 @@ class PackageDatabase:
         "Description = '" + MySQLdb.escape_string(str(package.desc)) + "', " +
         "ModifiedTS = UNIX_TIMESTAMP(), " +
         "URL = '" + MySQLdb.escape_string(str(package.url)) + "' " +
+		"OutOfDate = 0, " +
         "WHERE ID = " + str(id))
     self.insertNewInfo(package, id, locationId)
     # we must lastly check to see if this is a move of a package from
-- 
1.6.2.2

